# Finite Differences

## Driver

* main.cpp: 
  * ...
  * `std::vector<double*> X={&S_0,&K,&r,&v_0,&T,&rho,&kappa,&theta,&xi};`
  * `for (const auto& x:X) {`
    * `srand(0);`
    * `double eps=std::numeric_limits<double>::epsilon();`
    * `double x_save=*x;`
    * `double h= (*x==0) ? sqrt(eps) : sqrt(eps)*fabs(*x);`
    * `*x=*x+h;`
    * `... // primal`
    * `std::cout << (option_price_p-option_price)/h << std::endl;`
    * `*x=x_save;`
  * `}`
  * ...
