# Scalar Tangent AD with dco/c++

## Preprocessing

* `#include "DCO_T.h"`
* globally search and replace `double` with `DCO_T<double>`
* heston_mc.cpp, payoff.cpp: `using namespace std;` to facilitate overloading of `std::max` outside of standard namespace

## Driver

* main.cpp: 
  * ...
  * `std::vector<DCO_T<double>*> X={&S_0,&K,&r,&v_0,&T,&rho,&kappa,&theta,&xi};`
  * `for (const auto& x:X) { ...`
    * `dco::derivative(*x)=1;`
    * `... // primal`
    * `std::cout << dco::derivative(option_price);`
    * `dco::derivative(*x)=0;`
  * `... }`
  * ...
