#ifndef __OPTION_H
#define __OPTION_H

#include "DCO_T.h"
#include "payoff.h"

class Option {
 public:
  PayOff* pay_off;
  DCO_T<double> K;
  DCO_T<double> r;
  DCO_T<double> T;

  Option(DCO_T<double> _K, DCO_T<double> _r, 
         DCO_T<double> _T, PayOff* _pay_off);

  virtual ~Option();
};

#endif
