// Uwe.Naumann@nag.com
#pragma once

#include "dco.hpp" 

using dco_value_type=double; 
using dco_mode=dco::ga1s<dco_value_type>; 
using dco_type=dco_mode::type; 

void inspect(dco_mode::tape_t* tape, const std::string& s) {
  cout << s << ':' << endl;
  cout << "MEM=" << dco::size_of(tape) << endl;
  cout << "Tape: " << endl;
  dco::internal::algorithms::print(tape);
  if (tape->adjoints().size()>1) {
    cout << "Adjoints: " << endl;
    for (int i=0;i<tape->adjoints().size();i++)
      cout << tape->adjoints()[i] << endl;
  }
}
