// Uwe.Naumann@nag.com

#include "f.h"

#include <cassert>
#include <limits>
#include <iostream>

int main(int argc, char* argv[]) {
  assert(argc==3); 
  int np=stoi(argv[1]), ns=stoi(argv[2]); 
  using T=double; 
  T x=1.; vector<T> p(2*ns,1);
  cout.precision(numeric_limits<T>::digits10);
  cout << "y=" << f(np,ns,x,p) << endl;
  return 0;
}
